# Interface IJarExportRunnable

All Superinterfaces:
  `org.eclipse.jface.operation.IRunnableWithProgress`

public interface IJarExportRunnable extends org.eclipse.jface.operation.IRunnableWithProgress
A runnable which executes a JAR export operation within the workspace. Clients may implement this interface.

Since:
  2.0
See Also:
  - `JarPackageData.createJarExportRunnable(org.eclipse.swt.widgets.Shell)`
  - `IWorkspaceRunnable`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IStatus`
`getStatus()`
Returns the current status of this operation.

### Methods inherited from interface org.eclipse.jface.operation.IRunnableWithProgress

`run`

## Method Details

### getStatus

org.eclipse.core.runtime.IStatus getStatus()
Returns the current status of this operation. The result is a status object which may contain individual nested status objects.

Clients may call this method during the operation and add additional status information.

Returns:
  the status of this operation